/*
 *  dio.c
 *
 *  v 0.0 2004.9.1 by Moki Matsushima  
 *
 *  open port, then send/receive from i87k module
 *
 *  History
 *
 *  v 0.0 2004.9.1 by Moki Matsushima
 *    create, ... ok, i keep this as simple as possible
 */


#include<stdio.h>
#include<stdlib.h>
#include "msw.h"


char szSend[80], szReceive[80];
DWORD dwBuf[12];
float fBuf[12];

/* ------------------------------------------------------------------- */
int main()
{
	int wRetVal;
	DWORD temp;
	WORD wT;
	/* COM2, Baudrate=9600, 8 data bit, non-parity, 1 stop bit */

	wRetVal = Open_Slot(0);
	if (wRetVal > 0) {
		printf("open Slot failed!\n");
		return (-1);
	}
	wRetVal = Open_Com(COM1, 115200, Data8Bit, NonParity, OneStopBit);
	if (wRetVal > 0) {
		printf("open port failed!\n");
		return (-1);
	}
	ChangeToSlot(2);
	//--- digital output ----
	szSend[0] = '$';
	szSend[1] = '0';
	szSend[2] = '0';
	szSend[3] = 'M';
	szSend[4] = 0;
	
	wRetVal = Send_Receive_Cmd(COM1, szSend, szReceive, 20, 0, &wT);
	printf("Send Command = %s Receive Command = %s \n",szSend,szReceive);
	if (wRetVal)
		printf("Send Receive Command, Error Code=%d\n", wRetVal);
	
	Close_Com(COM1);
	Close_Slot(0);
	return 0;
}
