/*
 *  eeprom.c
 *
 *  v 0.0 2004.9.1 by Moki Matsushima  
 *
 *  read/write eeprom inside lincon
 *
 *  History
 *
 *  v 0.0 2004.9.1 by Moki Matsushima
 *    create, ... ok, i keep this as simple as possible
 */


#include<stdio.h>
#include<stdlib.h>
#include "msw.h"


/* ------------------------------------------------------------------- */
int main()
{
	int i, wRetVal;
	DWORD temp;
	/* COM2, Baudrate=9600, 8 data bit, non-parity, 1 stop bit */

	wRetVal = Open_Slot(0);
	if (wRetVal > 0) {
		printf("open Slot failed!\n");
		return (-1);
	}
	i=2;
	wRetVal = 20;
	printf("Write EEP = %d\n", wRetVal);
	Enable_EEP();
	Write_EEP(0,i,(unsigned char)wRetVal);
	Disable_EEP();
	for (i=0;i<11;i++) {
	wRetVal = Read_EEP(0,i);
	printf("Read EEP = %d\n", wRetVal);
	}
	//getch();
	Close_Slot(0);
	return 0;
}
